﻿<?xml version="1.0" encoding="UTF-8"?>
<ContentView xmlns="http://xamarin.com/schemas/2014/forms" 
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             x:Class="NCSDirectoryApp.Views.CustomViews.JobListItemView"
             xmlns:resources="clr-namespace:NCSDirectoryApp.Resources"
                      xmlns:pancakeView="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView">

    <pancakeView:PancakeView Padding="14" CornerRadius="10,10,10,10" BackgroundColor="White" Margin="0,10"
                             Border="{pancakeView:BorderMarkup Color=#F1F1F1, Thickness=1}">
        
        <Grid RowDefinitions="Auto,Auto" ColumnDefinitions="*,Auto" HorizontalOptions="FillAndExpand"
                                      VerticalOptions="FillAndExpand" RowSpacing="6" ColumnSpacing="10">
            <Label Text="{Binding job_title}" Style="{StaticResource JobListTitleStyle}" LineBreakMode="TailTruncation"
                                           MaxLines="1" Margin="2,0"/>
            <StackLayout Grid.Row="1" Orientation="Horizontal" HorizontalOptions="StartAndExpand">
                <Image HeightRequest="21" Source="{x:Static resources:ImageStrings.ic_location}"
                                               VerticalOptions="Center"/>
                <Label Text="{Binding city}" Margin="4,0" />
            </StackLayout>
            <pancakeView:PancakeView Border="{pancakeView:BorderMarkup Color=#D9D9D9, Thickness=1}"
                                             CornerRadius="10,10,10,10" Grid.Column="1" Grid.RowSpan="2"
                                             VerticalOptions="Center" Padding="8" Margin="4">
                <StackLayout Orientation="Horizontal">
                    <Image Source="{x:Static resources:ImageStrings.ic_view}" WidthRequest="18"
                                                   Margin="2,0"  VerticalOptions="Center"/>
                    <Label Text="View More" FontSize="14" FontFamily="{StaticResource LatoRegular}"
                                                    VerticalOptions="Center" Margin="2,0"/>
                </StackLayout>
            </pancakeView:PancakeView>
        </Grid>
    </pancakeView:PancakeView>

</ContentView>